#
# Обязательные переменные, значения которым необходимо присвоить в файле
# CMakeLists.txt до подключения MyxCMake, либо передать из командной строки
# через ключ -D
#
if(NOT MYX_CMAKE_ORGANIZATION_NAME)
  message(
    FATAL_ERROR
      "MyxCMake: Required variable MYX_CMAKE_ORGANIZATION_NAME is not defined")
endif()

if(NOT MYX_CMAKE_AUTHOR_NAME)
  message(
    FATAL_ERROR
      "MyxCMake: Required variable MYX_CMAKE_AUTHOR_NAME is not defined")
endif()

if(NOT MYX_CMAKE_AUTHOR_EMAIL)
  message(
    FATAL_ERROR
      "MyxCMake: Required variable MYX_CMAKE_AUTHOR_EMAIL is not defined")
endif()
set(CPACK_PACKAGE_CONTACT
    "${MYX_CMAKE_AUTHOR_NAME} <${MYX_CMAKE_AUTHOR_EMAIL}>"
    CACHE STRING "")

if(NOT MYX_CMAKE_DESCRIPTION)
  message(
    FATAL_ERROR
      "MyxCMake: Required variable MYX_CMAKE_DESCRIPTION is not defined")
endif()
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY
    ${MYX_CMAKE_DESCRIPTION}
    CACHE STRING "")
